## org.hibernate.impl
Class SessionFactoryObjectFactory

    java.lang.Object
      org.hibernate.impl.SessionFactoryObjectFactory

All Implemented Interfaces:
  ObjectFactory

    public class SessionFactoryObjectFactory

extends Object
implements ObjectFactory

Resolves `SessionFactory` instances during `JNDI`look-ups as well as during deserialization``

Constructor Summary
`SessionFactoryObjectFactory()`

Method Summary
`static void` `addInstance(String uid, String name, SessionFactory instance, Properties properties)`
`static Object` `getInstance(String uid)`
`static Object` `getNamedInstance(String name)`
`Object` `getObjectInstance(Object reference, Name name, Context ctx, Hashtable env)`
`static void` `removeInstance(String uid, String name, Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionFactoryObjectFactory

    public SessionFactoryObjectFactory()

Method Detail

### getObjectInstance

    public Object getObjectInstance(Object reference,
                                    Name name,
                                    Context ctx,
                                    Hashtable env)
                             throws Exception

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Throws:
    `Exception`

### addInstance

    public static void addInstance(String uid,
                                   String name,
                                   SessionFactory instance,
                                   Properties properties)

### removeInstance

    public static void removeInstance(String uid,
                                      String name,
                                      Properties properties)

### getNamedInstance

    public static Object getNamedInstance(String name)

### getInstance

    public static Object getInstance(String uid)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.